<?php
global $post;
$opt = get_option('docy_opt');

$positive = (int) get_post_meta( $post->ID, 'positive', true );
$negative = (int) get_post_meta( $post->ID, 'negative', true );

$positive_title = $positive ? sprintf( _n( '%d person found this useful', '%d persons found this useful', $positive, 'docy' ), number_format_i18n( $positive ) ) : esc_html__( 'No votes yet', 'docy' );
$negative_title = $negative ? sprintf( _n( '%d person found this not useful', '%d persons found this not useful', $negative, 'docy' ), number_format_i18n( $negative ) ) : esc_html__( 'No votes yet', 'docy' );

$still_stuck_text = !empty($opt['still_stuck_text']) ? $opt['still_stuck_text'] : esc_html__('Still stuck?', 'docy');
$help_form_link_text = !empty($opt['help_form_link_text']) ? $opt['help_form_link_text'] : esc_html__('How can we help?', 'docy');
$doc_feedback_label = !empty($opt['doc_feedback_label']) ? $opt['doc_feedback_label'] : esc_html__('Was this page helpful?', 'docy');

$is_feedback_area = isset($opt['is_feedback_area']) ? $opt['is_feedback_area'] : '';
?>
<div class="doc-btm">
    <?php
    $tags = get_the_terms(get_the_ID(), 'doc_tag');
    if ( $tags ) {
        echo '<ul class="nav card_tagged">';
        echo '<li>'.esc_html__('Tagged:', 'docy').'</li>';
        foreach ($tags as $tag) {
            echo "<li><a href='".get_term_link($tag->term_id, 'doc_tag')."'>{$tag->name}</a></li>";
        }
        echo '</ul>';
    }
    ?>

    <?php if ( $is_feedback_area == '1' ) : ?>
        <footer class="help_text" id="help">
            <div class="border_bottom"></div>
            <div class="row feedback_link">
                <div class="col-lg-6">
                    <p class="left"><i class="icon_mail_alt"></i><?php echo esc_html($still_stuck_text) ?>
                        <a href="#" data-toggle="modal" data-target="#exampleModal3">
                            <?php echo esc_html($help_form_link_text) ?>
                        </a>
                    </p>
                </div>
                <div class="col-lg-6 wedocs-feedback-wrap wedocs-hide-print">
                    <p class="right">
                        <?php echo esc_html($doc_feedback_label) ?>
                        <span class="vote-link-wrap">
                            <a href="#" class="h_btn wedocs-tip positive" data-id="<?php the_ID(); ?>" data-type="positive" title="<?php echo esc_attr( $positive_title ); ?>">
                                <?php esc_html_e( 'Yes', 'docy' ); ?>
                                <?php if ( $positive ) { ?>
                                    <span class="count"><?php echo number_format_i18n( $positive ); ?></span>
                                <?php } ?>
                            </a>
                            <a href="#" class="h_btn wedocs-tip negative red" data-id="<?php the_ID(); ?>" data-type="negative" title="<?php echo esc_attr( $negative_title ); ?>">
                                <?php esc_html_e( 'No', 'docy' ); ?>
                                <?php if ( $negative ) { ?>
                                    <span class="count"><?php echo number_format_i18n( $negative ); ?></span>
                                <?php } ?>
                            </a>
                        </span>
                    </p>
                </div>
            </div>
        </footer>
    <?php endif; ?>
</div>