<?php
if ( is_singular('docs') || is_post_type_archive('docs') ) {
    $breadcrumb_container = Docy_helper()->page_width() == 'full-width' ? 'container-fluid pl-60 pr-60' : 'container custom_container';
} else {
    $breadcrumb_container = 'container';
    if ( is_singular('docs') || is_post_type_archive('docs') ) {
        $breadcrumb_container = 'container custom_container';
    }
}
?>

<section class="page_breadcrumb">
    <div class="<?php echo esc_attr($breadcrumb_container) ?>">
        <div class="row">
            <div class="col-lg-9 col-md-8">
                <nav aria-label="breadcrumb">
                    <?php
                    if ( is_search() ) {
                        ?>
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo esc_url(home_url('/')) ?>"> <?php esc_html_e( 'Home', 'docy' ); ?> </a>
                            </li>
                            <li class="breadcrumb-item active" aria-current="page">
                                <?php echo esc_html__('Search results for "', 'docy'); echo get_search_query().'"'; ?>
                            </li>
                        </ol>
                        <?php
                    } else {
                        docy_post_breadcrumbs();
                    }
                    ?>
                </nav>
            </div>
            <div class="col-lg-3 col-md-4">
                <span class="date">
                    <i class="<?php echo is_rtl() ? 'icon_quotations' : 'icon_clock_alt'; ?>"></i>
                    <?php esc_html_e( 'Updated on', 'docy' ); ?>
                    <?php docy_modified_date(); ?>
                </span>
            </div>
        </div>
    </div>
</section>