<?php
gt_set_post_view();
$opt = get_option('docy_opt');
if ( Docy_helper()->page_width() == 'full-width' ) {
	$content_column = Docy_helper()->doc_layout() == 'both_sidebar' ? '8' : '10';
} else {
	$content_column = Docy_helper()->doc_layout() == 'both_sidebar' ? '7' : '9';
}
?>

<div class="col-lg-<?php echo esc_attr( $content_column ) ?> doc-middle-content">

    <div class="left-sidebar-toggle">
        <span class="left-arrow" title="<?php esc_attr_e( 'Hide category', 'docy' ); ?>" style="display: block;">
            <i class="fas fa-caret-left"></i>
        </span>
        <span class="right-arrow" title="<?php esc_attr_e( 'Show category', 'docy' ); ?>" style="display: none;">
            <i class="fas fa-caret-right"></i>
        </span>
    </div>

    <article class="shortcode_info" id="post" itemscope itemtype="http://schema.org/Article">
        <div class="doc-post-content">
            <div class="shortcode_title">
				<?php the_title( '<h1>', '</h1>' ); ?>
                <div class="doc-meta">
					<?php if ( $opt['is_doc_read_time'] ): ?>
                        <span class="read-time">
                        <ion-icon name="time-outline"></ion-icon>
                        <?php
                            esc_html_e( 'Estimated reading: ', 'docy' );
                            docy_reading_time();
                        ?>
                        </span>
					<?php endif; ?>

                    <?php if( $opt['is_doc_views'] ): ?>
                        <span class="views">
                            <ion-icon name="eye-outline"></ion-icon>
                            <?php echo gt_get_post_view(); ?>
                        </span>
                    <?php endif; ?>
                </div>
            </div>
            <div class="doc-scrollable">
				<?php
				the_content();

				wedocs_get_template_part( 'single-doc', 'home' );

				$children = wp_list_pages_custome( "title_li=&order=menu_order&child_of=" . $post->ID . "&echo=0&post_type=" . $post->post_type );

				if ( $children && $post->post_parent != 0 ) {
					echo '<div class="details_cont ent recently_added" id="content_elements">';
					echo '<h4 class="c_head">' . esc_html__( 'Articles', 'docy' ) . '</h4>';
					echo '<ul class="article_list tag_list">';
					echo wp_list_pages_custome( "title_li=&order=menu_order&child_of=" . $post->ID . "&echo=0&post_type=" . $post->post_type );
					echo '</ul>';
					echo '</div>';
				}

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Docs:', 'docy' ),
					'after'  => '</div>',
				) );
				?>
            </div>
			<?php

			/**
			 * Footnotes
			 */
			$is_footnotes = function_exists( 'get_field' ) ? get_field( 'is_footnotes' ) : '';
			if ( $is_footnotes == '1' ) {
				get_template_part( 'template-parts/footnotes' );
			}
			?>
        </div>

		<?php wedocs_get_template_part( 'content-feedback' ); ?>

    </article>

	<?php
	wedocs_get_template_part( 'content-related' );
	wedocs_get_template_part( 'content-modal' );
	if ( wedocs_get_option( 'comments', 'wedocs_settings', 'off' ) == 'on' ) { ?>
		<?php if ( comments_open() || get_comments_number() ) { ?>
            <div class="wedocs-comments-wrap">
				<?php comments_template(); ?>
            </div>
		<?php } ?>
		<?php
	}
	?>

</div>
